-- 创建菜单分类表
CREATE TABLE
    menu_cate (
        ID INTEGER PRIMARY KEY AUTOINCREMENT, -- 主键
        NAME TEXT DEFAULT '', -- 分类名称
        LOGO TEXT DEFAULT '', -- 分类Logo
        LOCAL_LOGO TEXT DEFAULT '', -- 本地Logo路径
        DESCRIPTION TEXT, -- 分类描述
        CREATE_TIME DATETIME DEFAULT NULL, -- 创建时间
        UPDATE_TIME DATETIME DEFAULT NULL, -- 更新时间
        SORT INTEGER DEFAULT 0, -- 排序
        STATUS TEXT DEFAULT 'A' -- 状态 (A-Active, D-Deleted)
    );

-- 创建商品表
CREATE TABLE
    menu_commodity (
        ID INTEGER PRIMARY KEY AUTOINCREMENT, -- 主键
        TYPE TEXT DEFAULT 'product', -- 商品类型
        MERCHANT_ID INTEGER DEFAULT 0, -- 商户ID
        STORE_ID INTEGER DEFAULT 0, -- 店铺ID
        NAME TEXT DEFAULT '', -- 商品名称
        CATE_ID INTEGER DEFAULT 0, -- 分类ID
        GOODS_NO TEXT DEFAULT '', -- 商品编号
        IS_SINGLE_SPEC TEXT DEFAULT 'Y', -- 是否单规格 (Y-Yes, N-No)
        LOGO TEXT DEFAULT '', -- 商品Logo
        IMAGES TEXT DEFAULT '', -- 商品图片
        PRICE REAL DEFAULT 0.00, -- 价格
        LINE_PRICE REAL DEFAULT 0.00, -- 划线价
        STOCK INTEGER DEFAULT 0, -- 库存
        WEIGHT REAL DEFAULT 0.00, -- 重量
        COUPON_IDS TEXT DEFAULT '', -- 优惠券ID
        SERVICE_TIME INTEGER DEFAULT 0, -- 服务时间
        INIT_SALE INTEGER DEFAULT 0, -- 初始销量
        SALE_POINT TEXT DEFAULT '', -- 卖点
        CAN_USE_POINT TEXT DEFAULT 'N', -- 是否可用积分 (Y-Yes, N-No)
        IS_MEMBER_DISCOUNT TEXT DEFAULT 'Y', -- 是否会员折扣 (Y-Yes, N-No)
        SORT INTEGER DEFAULT 0, -- 排序
        DESCRIPTION TEXT, -- 商品描述
        CREATE_TIME DATETIME DEFAULT NULL, -- 创建时间
        UPDATE_TIME DATETIME DEFAULT NULL, -- 更新时间
        OPERATOR TEXT DEFAULT NULL, -- 操作员
        STATUS TEXT DEFAULT 'A' -- 状态 (A-Active, D-Deleted)
    );

-- 创建SKU表
CREATE TABLE
    menu_sku (
        ID INTEGER PRIMARY KEY AUTOINCREMENT, -- 主键
        SKU_NO TEXT DEFAULT '', -- SKU编号
        LOGO TEXT DEFAULT '', -- SKU Logo
        GOODS_ID INTEGER NOT NULL DEFAULT 0, -- 商品ID
        SPEC_IDS TEXT NOT NULL DEFAULT '', -- 规格ID
        STOCK INTEGER NOT NULL DEFAULT 0, -- 库存
        PRICE REAL NOT NULL DEFAULT 0.00, -- 价格
        LINE_PRICE REAL NOT NULL DEFAULT 0.00, -- 划线价
        WEIGHT REAL DEFAULT 0.00, -- 重量
        STATUS TEXT NOT NULL DEFAULT 'A' -- 状态 (A-Active, D-Deleted)
    );

-- 创建规格表
CREATE TABLE
    menu_spec (
        ID INTEGER PRIMARY KEY AUTOINCREMENT, -- 主键
        GOODS_ID INTEGER NOT NULL DEFAULT 0, -- 商品ID
        NAME TEXT NOT NULL DEFAULT '', -- 规格名称
        VALUE TEXT NOT NULL DEFAULT '', -- 规格值
        STATUS TEXT DEFAULT 'A' -- 状态 (A-Active, D-Deleted)
    );